diff --git a/Makefile b/Makefile
index 6dc8da7..baba748 100644
--- a/Makefile
+++ b/Makefile
@@ -7,6 +7,11 @@ PREFIX=/usr
 LIBDIR=$(PREFIX)/lib
 export VERSION=$(shell sed -n '1s/.*(\(.*\)).*$$/\1/p' < debian/changelog )
 
+# standard compilation flags
+CFLAGS = -O2 -Wall
+# LFS support
+CFLAGS += $(shell getconf LFS_CFLAGS)
+
 all: $(BINARY)
 
 install: $(BINARY)
@@ -23,22 +28,22 @@ install: $(BINARY)
 	$(INSTALL_FILE)  qemubuilder.8 $(DESTDIR)/usr/share/man/man8/qemubuilder.8
 
 libcowdancer.so: cowdancer.lo ilistcreate.lo
-	gcc -O2 -Wall -ldl -shared -o $@ $^
+	gcc $(CFLAGS) -ldl -shared -o $@ $^
 
 cow-shell: cow-shell.o ilistcreate.o
-	gcc -O2 -Wall -o $@ $^
+	gcc $(CFLAGS) -o $@ $^
 
 cowbuilder: cowbuilder.o parameter.o ilistcreate.o
-	gcc -O2 -Wall -o $@ $^
+	gcc $(CFLAGS) -o $@ $^
 
 qemubuilder: qemubuilder.o parameter.o
-	gcc -O2 -Wall -o $@ $^
+	gcc $(CFLAGS) -o $@ $^
 
 %.lo: %.c 
 	gcc -D_REENTRANT -fPIC $< -o $@ -c -Wall -O2 -g
 
 %.o: %.c parameter.h
-	gcc $< -o $@ -c -Wall -O2 -g -fno-strict-aliasing -D LIBDIR="\"${LIBDIR}\""
+	gcc $< -o $@ -c $(CFLAGS) -g -fno-strict-aliasing -D LIBDIR="\"${LIBDIR}\""
 
 clean: 
 	-rm -f *~ *.o *.lo $(BINARY)
